Results 1 to 4 of 4

Thread: Issues with yast2 -> package kit and invalid repositories

  1. #1
    Join Date
    Dec 2016
    Location
    Australia
    Posts
    15

    Default Issues with yast2 -> package kit and invalid repositories

    Hi all,

    returning to Opensuse tumbleweed I am bogged down with 2 issues WITH yast2/software repositories I have been unable to solve so far on 2 installs of opensuse:
    1. since the installation I have on a regular basis to get rid of "packagekit" when starting yast2 with the "sudo killall packagekitd" command. Why is this process activated all the time.
    2. Lately i have encountered "invalid repositories/metadata" errors when launching yast 2, with the following message:

    "WARNING - An error occurred during repository initialization. [http-download.opensuse.org-ba45d9e1|http://download.opensuse.org/reposit...ing/standard/] Valid metadata not found at specified URL History: - [http-download.opensuse.org-ba45d9e1|http://download.opensuse.org/reposit...ing/standard/] Repository type can't be determined"

    More details inhere: https://forums.opensuse.org/showthre...t-repositories

    Any help will be welcome.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,173
    Blog Entries
    3

    Default Re: Issues with yast2 -> package kit and invalid repositories

    Quote Originally Posted by leomedia2 View Post
    1. since the installation I have on a regular basis to get rid of "packagekit" when starting yast2 with the "sudo killall packagekitd" command. Why is this process activated all the time.
    That's due to your desktop update applet. Best to turn that off, if possible.

    For KDE, right click on the system tray and go to System Tray Settings. Uncheck the box for software updates.

    2. Lately i have encountered "invalid repositories/metadata" errors when launching yast 2, with the following message:

    "WARNING - An error occurred during repository initialization. [http-download.opensuse.org-ba45d9e1|http://download.opensuse.org/reposit...ing/standard/] Valid metadata not found at specified URL History: - [http-download.opensuse.org-ba45d9e1|http://download.opensuse.org/reposit...ing/standard/] Repository type can't be determined"
    That seems like a bad repo, or a repo used for openQA testing rather than for installed Tumbleweed.

    Post the output from
    Code:
    zypper lr -d
    and use a code box to post that.
    openSUSE Leap 15.1; KDE Plasma 5;

  3. #3
    Join Date
    Dec 2016
    Location
    Australia
    Posts
    15

    Default Re: Issues with yast2 -> package kit and invalid repositories

    About issue#1, I looked into "online update configuration" of YAST but the "automatic update" box was unchecked. Unsure where to go next. I use Cinnamon not KDE. Is there a command line or a configuration file to change to achieve the same result?

    As for "invalid repositories" you were right, I have disabled the "factory" repositories and everything seems to be normal now as I was told elsewhere to do. The output of "zypper lr -d" is now as follows:

    Code:
    #  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                                        | Service
    ---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+------------------------------------------------------------------------------------------------------------+--------
     1 | code                                | Visual Studio Code                      | Yes     | (r ) Yes  | No      |   99     | rpm-md | https://packages.microsoft.com/yumrepos/vscode                                                             |        
     2 | http-download.opensuse.org-0e63b13e | openSUSE:Tumbleweed                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/                                   |        
     3 | http-download.opensuse.org-1e75a5aa | home:Herbster0815                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Herbster0815/openSUSE_Tumbleweed/                          |        
     4 | http-download.opensuse.org-21ccc3e6 | home:ecsos:Backup                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/ecsos:/Backup/openSUSE_Tumbleweed/                         |        
     5 | http-download.opensuse.org-28ea6f20 | openSUSE:Factory:Staging                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging/standard/                             |        
     6 | http-download.opensuse.org-3eb0f066 | openSUSE:Factory:Staging                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging/standard/                             |        
     7 | http-download.opensuse.org-7a85da81 | openSUSE:Factory:Staging                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging/standard/                             |        
     8 | http-download.opensuse.org-9e91859f | openSUSE:Factory:Staging:A              | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging:/A/bootstrap_copy/                    |        
     9 | http-download.opensuse.org-9ec1f0a1 | home:fusion809                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/fusion809/openSUSE_Tumbleweed/                             |        
    10 | http-download.opensuse.org-9f0f1936 | home:twotaps:branches:home:Herbster0815 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/twotaps:/branches:/home:/Herbster0815/openSUSE_Tumbleweed/ |        
    11 | http-download.opensuse.org-ba45d9e1 | openSUSE:Factory:Staging                | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging/standard/                             |        
    12 | http-download.opensuse.org-cd6cd71c | openSUSE:Factory:Staging:A              | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Factory:/Staging:/A/standard/                          |        
    13 | http-download.opensuse.org-f089c041 | openSUSE:Factory                        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Factory/snapshot/                                      |        
    14 | openSUSE-20190115-0                 | openSUSE-20190115-0                     | No      | ----      | ----    |   99     | rpm-md | hd:///?device=/dev/disk/by-id/usb-SanDisk_Ultra_Fit_4C530001010602104530-0:0-part1                         |        
    15 | packman                             | packman                                 | Yes     | (r ) Yes  | Yes     |   90     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/                                        |        
    16 | repo-debug                          | openSUSE-Tumbleweed-Debug               | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/                                                    |        
    17 | repo-non-oss                        | openSUSE-Tumbleweed-Non-Oss             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/                                                      |        
    18 | repo-oss                            | openSUSE-Tumbleweed-Oss                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/                                                          |        
    19 | repo-source                         | openSUSE-Tumbleweed-Source              | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/                                                   |        
    20 | repo-update                         | openSUSE-Tumbleweed-Update              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                                                            |        
    leo67@linux-mhs1:~>
    Thx for your swift help.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,721

    Default Re: Issues with yast2 -> package kit and invalid repositories

    Quote Originally Posted by leomedia2 View Post
    About issue#1, I looked into "online update configuration" of YAST but the "automatic update" box was unchecked. Unsure where to go next. I use Cinnamon not KDE. Is there a command line or a configuration file to change to achieve the same result?
    YaST (Online Update) has nothing to do with the applet you might have. The applet is using packagekit, not YaST (or zypper). When your desktop does not offer you (or it is not easy to find) a way of disableing the applet (as nrickert advised you for KDE), it may be easier to simply remove packagekit. And when the sytem wants to install it again (due to it being recommended or part of a pattern) block/taboo it.

    You do not need packageit. First because openSUSE has YaST > Software Management and zypper and second because the only supported way of updating Tumbleweed is
    Code:
    zypper dup
    and that does not involve packagekit at all.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •